Name		: fraqtive
Summary		: Program for drawing Mandelbrot and Julia fractals
Summary(de)	: Programm zum zeichnen von Mandelbrot und Julia-Fraktalen

Version		: 0.4.6
Release		: %mkrel 1
License		: GPL2 or later
Group		: Graphics
URL		: http://fraqtive.mimec.org/
Source		: %{name}-%{version}.tar.xz
BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: %{_lib}qt4-devel

%description
Fraqtive is a program for drawing Mandelbrot and Julia fractals. It uses a
very fast algorithm and generates high quality, smooth images. It is fully
interactive, allowing for real-time mouse navigation and dynamic generation
of the Julia fractal preview. OpenGL-rendered 3D view of the fractals is
also supported.

%description -l de
Fraqtive ist ein Programm zum Zeichnen von Mandelbrot-und Julia-Fraktalen. Es verwendet eine
Algorithmus der sehr schnell und qualitativ hochwertige, glatte Bilder erzeugt. Es ist voll
interaktiv, so dass für die Maus-Navigation und dynamische Generierung
der Julia Fraktals als Echtzeit Vorschau zu sehen sind. OpenGL 3D Aufnahme auf den Fraktalen wird
ebenfalls unterstützt.

%prep
%setup -q

%build
./configure -prefix %{buildroot}%{_prefix} -qmake /usr/%{_lib}/qt4/bin/qmake
make %{?jobs:-j %jobs}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

# Menu
rm -Rf %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Fraqtive
GenericName=Fractal Generator
Comment=Program drawing Mandelbrot and Julia fractals
Comment[de]=Programm zum zeichnen von Mandelbrot und Julia-Fraktalen
Icon=fraqtive.png
Exec=fraqtive
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 src/icons/%{name}-16.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 src/icons/%{name}-32.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 src/icons/%{name}-48.png %{buildroot}%_liconsdir/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%{_bindir}/fraqtive
%{_datadir}/applications/fraqtive.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Tue Oct 14 2014 pinoc <vogtpet at gmail.com> 0.4.6-1pclos2014
- 0.4.6

* Mon May 04 2009 maik3531 <maik3531@yahoo.de> -0.4.4-1pclos2009
- Initial package.
